import request from '@/utils/request'

// 材料分类列表
export function apimaterialLists(params: any) {
    return request.get({ url: '/material.material_classify/lists', params })
}

// 添加材料分类
export function apimaterialAdd(params: any) {
    return request.post({ url: '/material.material_classify/add', params })
}

// 编辑材料分类
export function apimaterialEdit(params: any) {
    return request.post({ url: '/material.material_classify/edit', params })
}

// 删除材料分类
export function apimaterialDelete(params: any) {
    return request.post({ url: '/material.material_classify/delete', params })
}

// 材料分类详情
export function apimaterialDetail(params: any) {
    return request.get({ url: '/material.material_classify/detail', params })
}

//某个分类下的子分类列表
export function apimaterialDatas(params: any) {
    return request.get({ url: '/material.material_classify/datas', params })
}
